<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$modelo=$sessao->getVar('controle');
$preenchimento=$sessao->getVar('controle1');
$objetoCalculoEnxuto = new calculosEnxuto(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
//echo ("finalidade= $finalidade<br>");
$enquadramento=$finalidade;
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
$sqlSeletor=$sessao->getVar('controle5');


//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf

			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margem=$margemEsquerda;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
			 //$cinza=180;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			$fatorRedutorLetra=0.9;

			//aqi imprime O ULTIMO..
			//$matrizLargura[13]=70;
     		$pdf->setXY(239,$cota1);
			$largura=$matrizLargura[13];
			$larguraTexto=ceil($largura*$fatorRedutorLetra);
			$texto=$matrizTitulo[13];
			$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		    $pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome

            //para cada modelo defino as larguras e os titulos. Suprimo as colunas que nao usar
			//com isso ja consigo que ele me mostre so o que eu realmente quero no livro
			//no vetor indices eu digo quais as colunas e em que posicao relativa
			$larguraGeral=10;
			$matrizLargura[0]=14;$matrizTitulo[0]='serie';
			$matrizLargura[1]=16;$matrizTitulo[1]='Amostra';
			$matrizLargura[2]=$larguraGeral+1; $matrizTitulo[2]='Tipo';//era 18
			$matrizLargura[3]=$larguraGeral+4; $matrizTitulo[3]='Receb.';//era largura geral
			$matrizLargura[4]=$larguraGeral+3; $matrizTitulo[4]='Requerente';//era +11
			$matrizLargura[5]=$larguraGeral-1; $matrizTitulo[5]='Amostrador';//era 18
			$matrizLargura[6]=$larguraGeral+2; $matrizTitulo[6]='Procedencia';//era 18
			$matrizLargura[7]=$larguraGeral+13; $matrizTitulo[7]='Lote';//era 18
			$matrizLargura[8]=$larguraGeral-2; $matrizTitulo[8]='Safra';//era 18
			$matrizLargura[9]=$larguraGeral+4; $matrizTitulo[9]='Esp.N.Cient.';//era 18
			$matrizLargura[10]=$larguraGeral+3; $matrizTitulo[10]='Cultivar';//era 18
			$matrizLargura[11]=$larguraGeral; $matrizTitulo[11]='Dt.Amost.';//era 18
			$matrizLargura[12]=$larguraGeral-4; $matrizTitulo[12]='Qt Unid';//era 18
			$matrizLargura[13]=$larguraGeral-2; $matrizTitulo[13]='Peso Unit';//era 18
			$matrizLargura[14]=$larguraGeral+1; $matrizTitulo[14]='Repres.';//era 18
			$matrizLargura[15]=$larguraGeral-5; $matrizTitulo[15]='Pureza';//era 18
			$matrizLargura[16]=$larguraGeral-5; $matrizTitulo[16]='DOSN';//era 18
			$matrizLargura[17]=$larguraGeral-3; $matrizTitulo[17]='Verif';//era 18
			$matrizLargura[18]=$larguraGeral-5; $matrizTitulo[18]='PMS';//era 18
			$matrizLargura[19]=$larguraGeral-3; $matrizTitulo[19]='Umidade';//era 18
			$matrizLargura[20]=$larguraGeral-3; $matrizTitulo[20]='G1';//era 18
			$matrizLargura[21]=$larguraGeral; $matrizTitulo[21]='Trar.G1';//era 18
			$matrizLargura[22]=$larguraGeral-3; $matrizTitulo[22]='G2';//era 18
			$matrizLargura[23]=$larguraGeral; $matrizTitulo[23]='Trar.G2';//era 18
			$matrizLargura[24]=$larguraGeral-3; $matrizTitulo[24]='Solo';//era 18
			$matrizLargura[25]=$larguraGeral-5; $matrizTitulo[25]='TZ';//era 18
			$matrizLargura[26]=$larguraGeral+21; $matrizTitulo[26]='Observacoes';//era 18
			$limite=sizeof($matrizLargura)-1;

            //cria o array conteudo################################################33
			//ENTRA DE QUAKQUER MANEIRA
			$contador=1;
			//vai pegar primeiro as previas sento fic_definitiva ='N'
			for($qualificacao=1;$qualificacao<=2;$qualificacao++):		
              //$generica=new tabelagenerica();
			  $generica=new tabelagenerica();
			  //echo $finalidade;
			  $generica->extras_select =$sqlSeletor;
			  $generica->selecionaCamposEspecial($generica);
              //vou criar a matriz de conteudos que vai ter linhas e colunas		
              //vou criar a matriz de conteudos que vai ter linhas e colunas
			$mesPedido=$inicio;  
			while ($resgenerica= $generica->retornaDados()):
				$amostraLong=$resgenerica->fic_id;
				$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong); 
				//SE  FOI SOLICITADO UM DETERMINADO MES O VALOR DA VARIAVEL INICIO É O MES E A VARIAVEL FINAL TRAZ O CONTEUDO A PALAVRA MES
				$recebidaEm=$vetorRaioX[8];
				$vaiImprimir='SIM';
                if(trim($final)=='mes'):
				   $vaiImprimir='NAO';//MARCA TUDO PARA NAO IMPRIMIR
				   $mesAmostra=substr($recebidaEm,3,2);
				   if($mesPedido==$mesAmostra)$vaiImprimir='SIM';	//se o mes for igual entao marca para imprimri este			   
				endif;
                
               if($vaiImprimir=='SIM'): 
				$previaDefinitiva=$resgenerica->fic_definitiva;
                if($qualificacao==1)$qualTipo='N';
                if($qualificacao==2)$qualTipo='S';
                if($previaDefinitiva==$qualTipo):			
                //$matrizConteudo[$contador][1]=str_pad($resgenerica->fic_amostra, 4, "0", STR_PAD_LEFT).'/'.date("y",strtotime($resgenerica->fic_dt_entrada));
				$matrizConteudo[$contador][1]=str_pad($vetorRaioX[10], 4, "0", STR_PAD_LEFT).$vetorRaioX[120];//amostra
				$valorBene=	$vetorRaioX[118];    
				if($valorBene=='1')	$tipo='M.Prima';
				if($valorBene=='2')	$tipo='Benef.';
				if($valorBene=='3')	$tipo='Escarif.';
				if($valorBene=='4')	$tipo='Revestida';
				if($valorBene=='5')	$tipo='Acab. Nua';
				if($valorBene=='6')	$tipo='Acab.Rev.';
				if($valorBene=='7')	$tipo='Outro';
                $matrizConteudo[$contador][2]=$tipo;//tipo
                //$matrizConteudo[$contador][3]=$vetorRaioX[8].$inicio.$final."mp=".$mesPedido."ma".$mesAmostra;//dt receb
                $matrizConteudo[$contador][3]=$vetorRaioX[8];//dt receb
                $matrizConteudo[$contador][4]=$vetorRaioX[44];//remetente
                $matrizConteudo[$contador][5]=$vetorRaioX[96];//amostrador
                $matrizConteudo[$contador][6]=$vetorRaioX[57];//procedencia
                $matrizConteudo[$contador][7]=$vetorRaioX[9];//lote
                $matrizConteudo[$contador][8]=$vetorRaioX[48];//safra
                $matrizConteudo[$contador][9]=$vetorRaioX[221];//esp cientifica
                $matrizConteudo[$contador][10]=$vetorRaioX[42];//cultivar
                $matrizConteudo[$contador][11]=$vetorRaioX[152];//data amostragem
				//REPRESENTATIVIDADE
				$repre=$vetorRaioX[46];
				list($r1,$r2,$r3,$r4)= explode(" ", $repre);
                $matrizConteudo[$contador][12]=$r1;//quantidade
                $matrizConteudo[$contador][13]=$r3;//unidades r2 é sc
				$valor=$r1*$r3;
                $matrizConteudo[$contador][14]=number_format($r1*$r3,2,',','.');//PESO
                $matrizConteudo[$contador][15]=$vetorRaioX[15];//PUREZA
                //AQUI VAI SOMAR TODOS CONTAMINANTES ENCONTRADOS NA AMOSTRA
 				$vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
				$vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
				$vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
				$vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
				$somaContaminantes=$vetorRXOESP[0][0]+$vetorRXSILV[0][0]+$vetorRXNOCT[0][0]+$vetorRXNOCP[0][0];
                $matrizConteudo[$contador][16]=$somaContaminantes;//DOSN
	
				//PRECISA VER SE FOI SOLICITADO VERIFICACAO, pms,umidade,GERMINACAO E TZO-----------------------
				$user = new testesSolicitados();
				$user->extras_select = "where tes_ficha=".$amostraLong;
				$user->selecionaTudo($user);
			    $marcadoVerificacao='nao';
			    $marcadoPMS='nao';
			    $marcadoGER='nao';
			    $marcadoGE2='nao';
			    $marcadoUmidade='nao';
			    $marcadoTZO='nao';
			    $marcadoSOL='nao';
				//verifica se foi marcado cada um dos testes
				while ($res = $user->retornaDados()):
                    if($res->tes_teste=="OCV")$marcadoVerificacao='sim';
                    if($res->tes_teste=="PMS")$marcadoPMS='sim';
                    if($res->tes_teste=="DTU")$marcadoUmidade='sim';
                    if($res->tes_teste=="TZO")$marcadoTZO='sim';
                    if($res->tes_teste=="GER")$marcadoGER='sim';
                    if($res->tes_teste=="GER")$marcadoGE2='sim';
                    if($res->tes_teste=="CAN")$marcadoSOL='sim';
				endwhile;  
                //joga em verificacaoXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX 
                if($marcadoVerificacao=='sim'):
                   $verificacaoFinal= $vetorRaioX[186];
                else:
				   $verificacaoFinal='-N-';
				endif;
				$matrizConteudo[$contador][17]=$verificacaoFinal;//VERIFICACAO

                //joga em PMSXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX 
                if($marcadoPMS=='sim'):
				   //precisa ver se é acabado revestido, pois se for pega ddoutro local
                   //if($tipo='Acab.Rev.'):
                   //    $verificacaoFinal= $vetorRaioX[189];//PMS DE ACABADO REVESTIDO
				   //else:				   
                   //    $verificacaoFinal= $vetorRaioX[13];//PMS
				   //endif;   
                   $verificacaoFinal= $vetorRaioX[13];//PMS
                else:
				   $verificacaoFinal='-N-';
				endif;
                $matrizConteudo[$contador][18]=$verificacaoFinal;//PMS
				
                //joga em UMIDADE XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
                if($marcadoUmidade=='sim'):
                   $verificacaoFinal= $vetorRaioX[184];//UMIDADE
                else:
				   $verificacaoFinal='-N-';
				endif;
                $matrizConteudo[$contador][19]=$verificacaoFinal;//UMIDADE

                //joga em GERMINACAO G1 XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
                if($marcadoGER=='sim'):
                   $verificacaoFinal= $vetorRaioX[14];//GERMINACAO
                   $tratamentoFinal= $vetorRaioX[61];//tratamento GERMINACAO g1
                else:
				   $verificacaoFinal='-N-';
                   $tratamentoFinal= '-N-';//tratamento GERMINACAO g1
				endif;
                $matrizConteudo[$contador][20]=$verificacaoFinal;//GERMINACAO
                $matrizConteudo[$contador][21]=$tratamentoFinal;//GERMINACAO

                //joga em GERMINACAO G2 XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
                $verificacaoFinal='';//GERMINACAO g2
				$tratamentoFinal='';
                if($marcadoGE2=='sim'):
                   $verificacaoFinal= $vetorRaioX[129];//GERMINACAO g2
                   $tratamentoFinal= $vetorRaioX[128];//tratamento GERMINACAO g2
                   if($verificacaoFinal==""):
				       $verificacaoFinal='-N-';//GERMINACAO g2 caso nao fez mas estava maraado germinacao
				   endif;   
                   if($tratamentoFinal=""):
				       $tratamentoFinal='-N-';//GERMINACAO g2 caso nao fez mas estava maraado germinacao
				   endif;	   
                else:
				   $verificacaoFinal='-N-';
                   $tratamentoFinal= '-N-';//tratamento GERMINACAO g1
				endif;
                $matrizConteudo[$contador][22]=$verificacaoFinal;//GERMINACAO g2
                $matrizConteudo[$contador][23]=$tratamentoFinal;//GERMINACAO  g2
				
				//colunas solo
                if($marcadoSOL=='sim'):
					$verificacaoFinal=$vetorRaioX[226];
                else:
				   $verificacaoFinal='-N-';
				endif;
                $matrizConteudo[$contador][24]=$verificacaoFinal;//

                //joga em TETRAZOLIO XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
                if($marcadoTZO=='sim'):
                   $verificacaoFinal= $vetorRaioX[202];//VIAVEIS BARENBRUG
                else:
				   $verificacaoFinal='-N-';
				endif;
                $matrizConteudo[$contador][25]=$verificacaoFinal;//
				
				
                //FINAL DAS 4 COLUNAS ESPEIAIS BARENBRUG  
                $matrizConteudo[$contador][26]=$vetorRaioX[63];//observacoes
                $contador++;
                //if($contador>30)break;
				endif;//testa se é previa ou definitiva
				
			   endif;//testa se realmente vai imprimir ou nao poi pode ser do mes ou nao	
			endwhile;
		   endfor;//varia de 1 para 2 para semparas as definiticas da previas		 
			$totalPaginas=ceil($contador/30);//arredonda para cima

			
			//	$pdf->Cell($largura,5,"xxxxxxxxxxxxxxx" .$contador ." limite=". $limite,1,0,'L');//lab nome		
//agora imprime	o corpo		
//o indice vai permitir eu imprimir na ordem que eu quiser e inclusive suprimir linhas	
			//se a pessoa quer imprimir um protocolo vazio(para documentação da qualidade)
			if($preenchimento=="branco"):
               $contador=0;
			endif;
			
			//cria 13 posicoes para usar com set xy
			//$distancia=$margem;
			//for($i=1;$i<=$limite;$i++):
             //  $posicoes[$i]=	$distancia;		
			 //  $distancia+=$matrizLargura[$i];
			//endfor;
			

		    //$cinza=230;
			$pdf->SetFillColor($cinza,$cinza,$cinza); 
			$pdf->SetFont('Arial','',7);	
			$contadorLinhasPagina=0;
			
			
			//cria a tabela que vai exportar para excel
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			 $tabela .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '</tr>';
			 $tabela .= '<tr>';
			 for($je=1;$je<=$limite;$je++):
				$tabela .= '<td>'.utf8_decode($matrizTitulo[$je]).'</td>';
			 endfor;
			 //so para ver como adiciona as colunas...hihihi
			 //$tabela .= '<td><b>Nome</b></td>';
			 //$tabela .= '<td><b>Email</b></td>';
			 $tabela .= '</tr>';
			 $vetorNormas=$objetocalculo->capturaNormas("Protocolo","Padrao",$idLabo);
             $pagina=$vetorNormas[2]-1;//vai digitar o numero da pagina que deseja que saia na seeuencia

			$contadorLinhasPagina=0;
		    $contaLinhasIguais=1;
			$detectaTrocaLinha=0;
			for($i=1;$i<=$contador;$i++):
			    //$cota1+=4.5*$linhasQuebradas ;
			    //imprime o timbrado
                //se o contador é igual a 0, imprime o timbrado  
				if($contadorLinhasPagina==0):
				    $pdf->AddPage();//adicionando a primera pafina 
				
					$pagina++;
					$cota1=4.5;
					$alturaLinha=8;
					$larguraLinha=175;
					$posicaoNorma=239;
					//pinta uma banda cinza
					$pdf->Rect($margemEsquerda,$cota1,$larguraUtil-2,24,'FD');//sintaxe do rect  (x,y,largura,altura'fill draw'	
					$pdf->Rect($posicaoNorma,$cota1,50,3*$alturaLinha);//retangulo das normas

                    //$pdf->SetFont('Times','',7);
			       	//cabecalho
				 	$posicaoCab1=60;$posicaoCab2=245;
		            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		            $pdf->Image($caminhoFinal,11,7,24,12,'JPG');
					$cota1=5;			
					$pdf->SetFont('Arial','B',12);
					$pdf->setXY($posicaoCab1,$cota1);
					$pdf->Cell($larguraLinha,$alturaLinha,utf8_decode('REGISTRO TÉCNICO'),1,1,'C');
					$cota1+=$alturaLinha;
					$pdf->setXY($posicaoCab1,$cota1);
					$pdf->Cell($larguraLinha,$alturaLinha,utf8_decode('Área:Laboratório de Análise de Sementes'),1,1,'C');
					$cota1+=$alturaLinha;
	     			$pdf->setXY($posicaoCab1,$cota1);
					$mesPedidoImprimir="";
					if($final=='mes')$mesPedidoImprimir='   Mes:'.$mesPedido; 			
					$pdf->Cell($larguraLinha,$alturaLinha,utf8_decode('RESULTADO DE ANÁLISE DE SEMENTES').$mesPedidoImprimir,1,1,'C');//lab nome
     				 $pdf->SetFont('Arial','B',8);
					 $pdf->setXY($posicaoNorma,5);  $pdf->Cell(40,4,utf8_decode("DOC: RCQ-003"),0,0);
					 $pdf->setXY($posicaoNorma,9);  $pdf->Cell(40,4,utf8_decode("Data Elaboração: 03/02/14"),0,0);
					 $pdf->setXY($posicaoNorma,13);  $pdf->Cell(40,4,utf8_decode("Revisão: 03 "),0,0);
					 $pdf->setXY($posicaoNorma,17);  $pdf->Cell(40,4,utf8_decode("Data revisão: 08/04/15"),0,0);
					 $pdf->setXY($posicaoNorma,21);  $pdf->Cell(40,4,utf8_decode("Nª páginas:  "),0,0);
			        //setor elaborado por.....
					$pdf->SetFont('Arial','B',10);
					$cota1+=8;
			        //setor elaborado por.....
					$pdf->SetFont('Arial','B',10);
					$pdf->setXY($margemEsquerda,$cota1);
					$pdf->Cell($larguraUtil/3,4,utf8_decode("Elaborado: Messias R. Alves e José M. Cerviglieiri"),1,0);
					$pdf->Cell($larguraUtil/3,4,utf8_decode("Revisado: Altieres Reis"),1,0);
					$pdf->Cell($larguraUtil/3-2,4,utf8_decode("Aprovado: Carlos Zacarel"),1,0);
                    $pdf->SetFont('Arial','',5);//aqui define a letra para a impressao do conteudo

		            //aqui imprime a linha de cabecalho //posso negrita/ colocar hachurrado etc 
		            $cota1+=8;
					$cotaLembrada=$cota1;
					$pdf->setXY($margemEsquerda,$cota1);
					//$pdf->Cell(50,5,utf8_decode('Ano:'.$anoCorrente),1,0,'L',1);//lab nome
		            //$pdf->Rect($margemEsquerda,$cota1,$larguraUtil-3,10,'FD');//sintaxe do rect  (x,y,largura,altura'fill draw'	
					//aqi imprime varios que sao normais...
		     		//$pdf->setXY($margemEsquerda+$matrizLargura[1],$cota1);
   		
					for($j=1;$j<=$limite;$j++):
						$largura=$matrizLargura[$j];
						$larguraTexto=ceil($largura*$fatorRedutorLetra);
						$texto=$matrizTitulo[$j];
						$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		     			$pdf->Cell($largura,9,utf8_decode($texto),1,0,'C',1);//lab nome
					endfor;
     				$cota1+=5;
					//$pdf->SetFont('Arial','',7);
                    ////////////////////////
				endif;//aqui encerra o if que controla o contador de paginas e imprime cabecalho e da o salto de pagina
				$cota1+=4.5;
						    //negritar linhas de cores alternadas
				$file=0;  
			    if($i % 2 == 0):
				    $file=1;
			    endif;	
				
					
				$pdf->setXY($margemEsquerda,$cota1);
	            $tabela .= '<tr>';
                for($j=1;$j<=$limite;$j++): 
					$largura=$matrizLargura[$j];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$i][$j];
					$tabela .= '<td>'.utf8_decode($texto).'</td>';
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
				    $pdf->Cell($largura,4.5,utf8_decode($texto),1,0,'C',$file);//lab nome
                endfor;
		        $tabela .= '</tr>';
				///////////vai colocar o rodape//////////////////////////
				
			    $contadorLinhasPagina++;
				//para forcar sair a assinatura toda vez que troca o numero de pagina
				if($contadorLinhasPagina==25):
				   $contadorLinhasPagina=0;
                endif;
            endfor;//este percorre todas linhas previstas no contador

				if($contadorLinhasPagina==0)://colocar 30 depois
				   //SETOR DO RODAPE
					$cotaR1=190;
					//terminou de imprimir resultado agora vi para observacoes tecico e assinatura
				     $cota4=150;
				     $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
				     $cota7=$cota4;
					 $cotaLinha=$cota4;
				     $pdf->setXY(150,$cota7-10);
					 $base[4][3]=$vetorTecnico[1];
					 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
					 $base[6][3]=$vetorTecnico[7];// seria o cargo?
					 $pdf->SetXY(150,$cota7);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
				     $pdf->Line(150,$cota7+25,250,$cota7+25);//linha separadora horizontal
					 $pdf->SetXY(150,$cota7+26);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+31);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+36);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	
					$pdf->SetFont('Arial','',7);
				endif;






		   $tabela .= '</table>';
		   $sessao->setVar('controleExcel',$tabela);
 
           //aqui coloca as linhs verticais separadoras  
            for($j=0;$j<=$limite;$j++): 
			  // $pdf->Line($posicaoAcumulada[$j],$cotaLembrada,$posicaoAcumulada[$j],$cota1);
            endfor;     





   				
				/////////////
			//endfor;
//vai imprimir na nultima pagina
				   //SETOR DO RODAPE
                 //vai fazer a pergunta se contador linhaspagina >0 para que nao imrpruma duas vezes o rodape
				 if($contadorLinhasPagina>0):
					$cotaR1=190;
					//terminou de imprimir resultado agora vi para observacoes tecico e assinatura
				     $cota4=150;
				     $vetorTecnico=$objetocalculo->dadostecnico($idLabo,'BOLE');
				     $cota7=$cota4;
					 $cotaLinha=$cota4;
				     $pdf->setXY(150,$cota7-10);
					 $base[4][3]=$vetorTecnico[1];
					 $base[5][3]="RENASEM:".$vetorTecnico[3]."  CREA:".$vetorTecnico[2];
					 $base[6][3]=$vetorTecnico[7];// seria o cargo?
					 $pdf->SetXY(150,$cota7);$pdf->Cell(90,5,utf8_decode($base[1][3]),0,1,'L');	
				     $pdf->Line(150,$cota7+25,250,$cota7+25);//linha separadora horizontal
					 $pdf->SetXY(150,$cota7+26);$pdf->Cell(90,5,utf8_decode($base[4][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+31);$pdf->Cell(90,5,utf8_decode($base[5][3]),0,1,'C');	
					 $pdf->SetXY(150,$cota7+36);$pdf->Cell(90,5,utf8_decode($base[6][3]),0,1,'C');	//ESTE ITEM É ASSINATURA SIM;NAO	
					$pdf->SetFont('Arial','',7);
                 endif;





			
			
			ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
